LINUX.ORG.RU

Глюки с gtk 2.8, pango 1.10, etc.


0

0

Здравствуйте Всё :-)


Возникла такая вроде бы достаточно тревиальная проблемка:

После установки выше упомянутого gtk 2.8 и pango 1.10 с поддержкой так называемого cairo. Возникли жуткие проблемы со шрифрами, и не только.
( В текстовых редакторах gedit, anjuta, etc, буквы прыгают как хотят, можно даже динамически наблюдать как они прыгают :-) )

И сразу возникло желение откатиться на старую версию, только не тут то было. Возникла странная проблема победить которую мне не удалось( чистить и пересобирать весь гном как то не хочется ): 

Сборка выполнялась в следующем порядке. Собственно также как и с новыми версиями.

glib2.0 2.6.4 -> install
atk 2.9.1 -> install
pango 1.8.1 -> install
gtk 2.6.7 ->install 

После чего по какой то не понятной для меня причины libgtk-x11-2.0.so.0.600.7 ссылается на libpangocairo-1.0.so.0 хотя
такого вроде уже и нету во первых, а во вторых в данном файле нету ссылки на cairo, и в получаемой libpango.so тоже.

После чего всё благополучно не работает.

Возможно кто то знает простой способ побороть такую проблему.

Буду благодарен за лубую возможную помошь.

Re: Глюки с gtk 2.8, pango 1.10, etc.

Вот только pango староват, хотя в заголовке указана новая версия...

anonymous ()

Re: Глюки с gtk 2.8, pango 1.10, etc.

Ты не восстановил старый gtk

no-dashi ★★★★★ ()

Re: Глюки с gtk 2.8, pango 1.10, etc.

Проблема решилась.

Просто по какой то причине не переписывались *.la файлы. После чего autoconf запускал ldconfig -n /usr/lib и перестраивал ссылки на старую( "новую" ) версию вместо той что я ставил.

Haiodo ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.